<script lang="ts">
export const directionsConfig = ['up', 'right', 'down', 'left'];

export default {
  name: 'JArrowHint',
  props: {
    direction: {
      type: String,
      required: true,
      validator: (value: string): boolean => directionsConfig.includes(value),
    },
  },
};
</script>

<template>
  <div
    aria-hidden="true"
    class="j-arrow-hint"
  >
    <template v-if="direction === 'up'">
      ↑
    </template>
    <template v-else-if="direction === 'down'">
      ↓
    </template>
    <template v-else-if="direction === 'right'">
      <span class="j-arrow-hint-right">→</span>
    </template>
    <template v-else-if="direction === 'left'">
      <span class="j-arrow-hint-left">←</span>
    </template>
  </div>
</template>

<style lang="scss" scoped>
.j-arrow-hint {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 12px;
  height: 14px;
  line-height: 12px;
  font-size: 10px;
  pointer-events: none;
  touch-action: none;
  border-radius: 2px;
  background-color: #fff;
  color: #1a1a1a;
  box-shadow: 0 0 2px #1a1a1a;
}

:where(.j-arrow-hint-right, .j-arrow-hint-left) {
  position: relative;
  top: -1px;
}
</style>
